## org.apache.mahout.cf.taste.hadoop.als
Class MultithreadedSharingMapper<K1,V1,K2,V2>

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
          org.apache.hadoop.mapreduce.lib.map.MultithreadedMapper<K1,V1,K2,V2>
              org.apache.mahout.cf.taste.hadoop.als.MultithreadedSharingMapper<K1,V1,K2,V2>

Type Parameters:
  `K1` -
  `V1` -
  `K2` -
  `V2` -

    public class MultithreadedSharingMapper<K1,V1,K2,V2>

extends org.apache.hadoop.mapreduce.lib.map.MultithreadedMapper<K1,V1,K2,V2>

Multithreaded Mapper for `SharingMapper`s. Will call setupSharedInstance() once in the controlling thread before executing the mappers using a thread pool.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`MultithreadedSharingMapper()`

Method Summary
`void` `run(org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.lib.map.MultithreadedMapper
`getMapperClass, getNumberOfThreads, setMapperClass, setNumberOfThreads`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, map, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultithreadedSharingMapper

    public MultithreadedSharingMapper()

Method Detail

### run

    public void run(org.apache.hadoop.mapreduce.Mapper.Context ctx)
             throws IOException,
                    InterruptedException

  Overrides:
    `run` in class `org.apache.hadoop.mapreduce.lib.map.MultithreadedMapper<K1,V1,K2,V2>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.